--- title: "restoreNasVolumeWithSnapshot" slug: "compute-server-restorenasvolumewithsnapshot" updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/compute-server-restorenasvolumewithsnapshot" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # restoreNasVolumeWithSnapshot Available in Classic You can use a snapshot to restore a NAS volume. Note - After you restore a NAS volume, you can view the recovery history on that volume. - When you restore a NAS volume, only the snapshot used for recovery and any snapshots created before it are retained; snapshots created after the point of recovery are lost. ## Requests The following describes the request format for the endpoint. The request format is as follows. | Method | URI | | --- | --- | | GET \| POST | /server/v2/restoreNasVolumeWithSnapshot | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all NAS APIs, see [NAS request headers](/docs/en/nas-overview-classic#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasVolumeInstanceNo` | String | Required | Unique number of the NAS volume instance to be restored - See [getNasVolumeInstanceList](/docs/en/compute-server-getnasvolumeinstancelist) | | `nasVolumeSnapshotName` | String | Required | Name of the snapshot to be used for recovery - See [getNasVolumeSnapshotList](/docs/en/compute-server-getnasvolumesnapshotlist) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/restoreNasVolumeWithSnapshot ?nasVolumeInstanceNo=00000000 &nasVolumeSnapshotName=now.20240403.164335' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {API gateway signature}' ``` ## Responses The following describes the response format. ### Response body See [NasVolumeSnapshotList](/docs/en/common-vapidatatype-nasvolumesnapshotlist) for the response body. ### Response status codes For information about the HTTP status codes common to all NAS APIs, see [NAS response status codes](/docs/en/nas-overview-classic#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. The snapshot list of the corresponding NAS volume instance is displayed after completing the request. ``` 0 success 1 now.20240403.164335 2024-04-03T16:43:35+0900 290816 false ```